Package com.google.android.exoplayer2.drm

## Interface ExoMediaDrm.OnKeyStatusChangeListener

- Enclosing interface:
    ExoMediaDrm

      public static interface ExoMediaDrm.OnKeyStatusChangeListener

  Called when the keys in a DRM session change state.
  See Also:
    `MediaDrm.OnKeyStatusChangeListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onKeyStatusChange​(ExoMediaDrm mediaDrm, byte[] sessionId, List<ExoMediaDrm.KeyStatus> exoKeyInformation, boolean hasNewUsableKey)` | Called when the keys in a session change status, such as when the license is renewed or expires.

- - ### Method Detail

    - #### onKeyStatusChange

          void onKeyStatusChange​(ExoMediaDrm mediaDrm,
                                 byte[] sessionId,
                                 List<ExoMediaDrm.KeyStatus> exoKeyInformation,
                                 boolean hasNewUsableKey)

      Called when the keys in a session change status, such as when the license is renewed or expires.
      Parameters:
        `mediaDrm` - The `ExoMediaDrm` object on which the event occurred.
        `sessionId` - The DRM session ID on which the event occurred.
        `exoKeyInformation` - A list of `ExoMediaDrm.KeyStatus` that contains key ID and status.
        `hasNewUsableKey` - Whether a new key became usable.